Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xmlpatterns
Class QAbstractXmlNodeModel.NodeCopySetting

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.xmlpatterns.QAbstractXmlNodeModel.NodeCopySetting

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractXmlNodeModel

    public static final class QAbstractXmlNodeModel.NodeCopySetting

extends java.lang.Enum
implements QtEnumerator

Controls how nodes are copied with copyNodeTo.

See Also:
  Serialized Form

Field Summary
`static QAbstractXmlNodeModel.NodeCopySetting` | `InheritNamespaces` Copies the node with the `copy-namespaces` setting being `inherit`.
`static QAbstractXmlNodeModel.NodeCopySetting` | `PreserveNamespaces` Copies the node with the `copy-namespaces` settings being `preserve`.

Method Summary
`static QAbstractXmlNodeModel.NodeCopySetting` | `resolve(int value)` Returns the QAbstractXmlNodeModel$NodeCopySetting constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractXmlNodeModel.NodeCopySetting` | `valueOf(java.lang.String name)`
`static QAbstractXmlNodeModel.NodeCopySetting[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### InheritNamespaces

    public static final QAbstractXmlNodeModel.NodeCopySetting InheritNamespaces

  Copies the node with the `copy-namespaces` setting being `inherit`. If not set, `no-inherit` is assumed.

### PreserveNamespaces

    public static final QAbstractXmlNodeModel.NodeCopySetting PreserveNamespaces

  Copies the node with the `copy-namespaces` settings being `preserve`. If not set, `no-preserve` is assumed.

Method Detail

### values

    public static QAbstractXmlNodeModel.NodeCopySetting[] values()

### valueOf

    public static QAbstractXmlNodeModel.NodeCopySetting valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractXmlNodeModel.NodeCopySetting resolve(int value)

  Returns the QAbstractXmlNodeModel$NodeCopySetting constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD